Get a workflow
GET
/repos/{owner}/{repo}/actions/workflows/{workflow_id}
const url = 'https://gitea.example.com/api/v1/repos/example/example/actions/workflows/example';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/repos/example/example/actions/workflows/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
workflow_id
required
string
Id of the workflow
Responses
Section titled “Responses”ActionWorkflow
Media typeapplication/json
ActionWorkflow represents a ActionWorkflow
object
badge_url
BadgeURL is the URL for the workflow badge
string
created_at
string format: date-time
deleted_at
string format: date-time
html_url
HTMLURL is the web URL for viewing the workflow
string
id
ID is the unique identifier for the workflow
string
name
Name is the name of the workflow
string
path
Path is the file path of the workflow
string
state
State indicates if the workflow is active or disabled
string
updated_at
string format: date-time
url
URL is the API URL for this workflow
string
Examplegenerated
{ "badge_url": "example", "created_at": "2026-04-15T12:00:00Z", "deleted_at": "2026-04-15T12:00:00Z", "html_url": "example", "id": "example", "name": "example", "path": "example", "state": "example", "updated_at": "2026-04-15T12:00:00Z", "url": "example"}APIError is error format response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APIForbiddenError is a forbidden error response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APINotFound is a not found empty response
Media typeapplication/json
APIValidationError is error format response related to input validation
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APIError is error format response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string